> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/instance/startagentmonitor.md).

# StartAgentMonitor

## 1. API Description

This API (StartAgentMonitor) is used to enables QEMU Guest Agent (QGA) data collection for the specified elastic compute instance. Once enabled, internal performance metrics can be retrieved through the monitoring API.

{% hint style="info" %}
**Note**

* To enable performance data collection, ensure that QGA (QEMU Guest Agent) is installed.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description         |
| -------------- | -------- | ------ | ------------------- |
| instanceId     | Yes      | String | ID of the instance. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Enable QEMU Guest Agent (QGA) data collection.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StartAgentMonitor
<Common Request Params>

Request:
{
  "instanceId": "instanceId1"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                    | Description         |
| ---------------- | --------------------------------------------- | ------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                 | Instance not found. |
| 400              | OPERATION\_DENIED\_INSTANCE\_AGENT\_NOT\_OPEN | QGA is not enabled. |
